Module::CPANTS::Kwalitee::BrokenInstaller(3pm)

NAME
Module::CPANTS::Kwalitee::BrokenInstaller - Check for broken Module::Install

SYNOPSIS
Find out whether the distribution uses an outdated version of Module::Install.

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 100, as data generated by this should not be used by any other tests.

analyse

"MCK::BrokenInstaller" checks whether the distribution uses Module::Install and if so whether it uses a reasonably current version of it (0.61 or later).

It also checks whether the Makefile.PL uses the "auto_install" feature. If so, "Module::Install" should be at least version 0.64.

kwalitee_indicators

Returns the Kwalitee Indicators data structure.

•   no_broken_module_install

•   no_broken_auto_install

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Steffen Müller <https://metacpan.org/author/smueller>

Thomas Klausner <https://metacpan.org/author/domm>

COPYRIGHT AND LICENSE
Copyright © 2003–2009 Thomas Klausner <https://metacpan.org/author/domm>

Copyright © 2006 Steffen Müller <https://metacpan.org/author/smueller>

You may use and distribute this module according to the same terms that Perl is distributed under.